Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event
Class AuditListener

    java.lang.Object
      net.sourceforge.pebble.event.AuditListener

All Implemented Interfaces:
  BlogEntryListener, CommentListener, TrackBackListener

    public class AuditListener

extends java.lang.Object
implements BlogEntryListener, CommentListener, TrackBackListener

Author:
  Simon Brown

Constructor Summary
`AuditListener()`

Method Summary
`void` | `blogEntryAdded(BlogEntryEvent event)` Called when a blog entry has been added.
`void` | `blogEntryChanged(BlogEntryEvent event)` Called when a blog entry has been changed.
`void` | `blogEntryPublished(BlogEntryEvent event)` Called when a blog entry has been published.
`void` | `blogEntryRemoved(BlogEntryEvent event)` Called when a blog entry has been removed.
`void` | `blogEntryUnpublished(BlogEntryEvent event)` Called when a blog entry has been unpublished.
`void` | `commentAdded(CommentEvent event)` Called when a comment has been added.
`void` | `commentApproved(CommentEvent event)` Called when a comment has been approved.
`void` | `commentRejected(CommentEvent event)` Called when a comment has been rejected.
`void` | `commentRemoved(CommentEvent event)` Called when a comment has been removed.
`void` | `trackBackAdded(TrackBackEvent event)` Called when a TrackBack has been added.
`void` | `trackBackApproved(TrackBackEvent event)` Called when a TrackBack has been approved.
`void` | `trackBackRejected(TrackBackEvent event)` Called when a TrackBack has been rejected.
`void` | `trackBackRemoved(TrackBackEvent event)` Called when a TrackBack has been removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditListener

    public AuditListener()

Method Detail

### blogEntryAdded

    public void blogEntryAdded(BlogEntryEvent event)

  Called when a blog entry has been added.

  Specified by:
    `blogEntryAdded` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryRemoved

    public void blogEntryRemoved(BlogEntryEvent event)

  Called when a blog entry has been removed.

  Specified by:
    `blogEntryRemoved` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryChanged

    public void blogEntryChanged(BlogEntryEvent event)

  Called when a blog entry has been changed.

  Specified by:
    `blogEntryChanged` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryPublished

    public void blogEntryPublished(BlogEntryEvent event)

  Called when a blog entry has been published.

  Specified by:
    `blogEntryPublished` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryUnpublished

    public void blogEntryUnpublished(BlogEntryEvent event)

  Called when a blog entry has been unpublished.

  Specified by:
    `blogEntryUnpublished` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

### commentAdded

    public void commentAdded(CommentEvent event)

  Called when a comment has been added.

  Specified by:
    `commentAdded` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentRemoved

    public void commentRemoved(CommentEvent event)

  Called when a comment has been removed.

  Specified by:
    `commentRemoved` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentApproved

    public void commentApproved(CommentEvent event)

  Called when a comment has been approved.

  Specified by:
    `commentApproved` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentRejected

    public void commentRejected(CommentEvent event)

  Called when a comment has been rejected.

  Specified by:
    `commentRejected` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### trackBackAdded

    public void trackBackAdded(TrackBackEvent event)

  Called when a TrackBack has been added.

  Specified by:
    `trackBackAdded` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRemoved

    public void trackBackRemoved(TrackBackEvent event)

  Called when a TrackBack has been removed.

  Specified by:
    `trackBackRemoved` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackApproved

    public void trackBackApproved(TrackBackEvent event)

  Called when a TrackBack has been approved.

  Specified by:
    `trackBackApproved` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRejected

    public void trackBackRejected(TrackBackEvent event)

  Called when a TrackBack has been rejected.

  Specified by:
    `trackBackRejected` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.